com.threerings.whirled.zone.server

## Interface ZoneManager.ResolutionListener

All Known Subinterfaces:
  PeeredZoneRegistry.PeerZoneResolutionListener

All Known Implementing Classes:
  PeeredZoneRegistry.PeerZoneMoveHandler, ZoneMoveHandler

Enclosing interface:
  ZoneManager

    public static interface ZoneManager.ResolutionListener

Used to notify requesters when an asynchronous zone load has completed (successfully or not).

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `zoneFailedToResolve(int zoneId, Exception reason)` Called when a zone failed to resolve.
`void` `zoneWasResolved(ZoneSummary summary)` Called when a zone was successfully resolved.

### Method Detail

#### zoneWasResolved

    void zoneWasResolved(ZoneSummary summary)

Called when a zone was successfully resolved.

#### zoneFailedToResolve

    void zoneFailedToResolve(int zoneId,
                             Exception reason)

Called when a zone failed to resolve.